// Demo 19: GunSight.java
//
//    Java Laser Gunsight class
//    Illustrates a class used by other classes
//
//    Coding and remarks copyright 1999 by Charles W. Neville
//
//    Based on Douglas Bell and Mike Parr's suggested, but not coded, laser 
//    gunsight example in their book, "Java for Students"
//
//
// A Gunsight object should know
//   1. Where it is pointing. (object state variables)
//   2. How to point itself.  (methods)
//   3. How to tell other objects where it is pointing. (methods)
//   4. How to draw itself.  (method)

import java.awt.*;

public class GunSight {

   private int xCoord, yCoord;  // x, y coords of point at crosshairs

   // GunSight Constructor Method
   public GunSight() {

      xCoord = 200;
      yCoord = 150;
   }

   // point sight horizontally
   public void setX(int x) {

     xCoord = x;
   }

   // point sight vertically
   public void setY(int y) {

     yCoord = y;
   }

   // return x coord of point at crosshairs
   public int getX() {

     return xCoord;
   }

   // return y coord of point at crosshairs
   public int getY() {

     return yCoord;
   }

   // draw the sight -- circle and two lines (crosshairs)
   public void drawSight(Graphics g) {

     g.drawOval(xCoord - 5, yCoord - 5, 10, 10);  // circle
     g.drawLine(xCoord - 5, yCoord, xCoord + 5, yCoord); // crosshair
     g.drawLine(xCoord, yCoord - 5, xCoord, yCoord + 5); // crosshair
   }
}